REST API
TraceQube API
Integrate all 12 network diagnostic tools into your application via a simple REST API.
Base URL
https://api.traceqube.com
Authentication
Pass your API key as a header with every request:
X-API-Key: your_api_key_here
Plans & Rate Limits
FREE
50 req/day — $0/mo
PRO
5,000 req/day — $5/mo
ENTERPRISE
50,000 req/day — $20/mo
Endpoints
GET /v1/ip
GET /v1/dns?domain=example.com&type=A
GET /v1/ping?host=example.com
GET /v1/port?host=example.com&port=443
GET /v1/ssl?domain=example.com
GET /v1/whois?domain=example.com
GET /v1/geo?ip=8.8.8.8
GET /v1/rdns?ip=8.8.8.8
GET /v1/subnet?cidr=192.168.1.0/24
GET /v1/headers?url=https://example.com
GET /v1/down?url=example.com
Example: Ping
GET https://api.traceqube.com/v1/ping?host=google.com
X-API-Key: your_key_here
// Response
{
"host": "google.com",
"avg_ms": 11.8,
"loss": 0,
"status": "reachable",
"seq": [12, 11, 13, 11]
}
Example: DNS Lookup
GET https://api.traceqube.com/v1/dns?domain=google.com&type=MX
X-API-Key: your_key_here
// Response
{
"domain": "google.com",
"type": "MX",
"results": ["10 smtp.google.com", "20 smtp2.google.com"]
}
Error Responses
All errors return a JSON object with an error field and an appropriate HTTP status code.
// 401 Unauthorized
{ "error": "Invalid or missing API key" }
// 429 Too Many Requests
{ "error": "Rate limit exceeded. Upgrade your plan." }
// 400 Bad Request
{ "error": "Invalid host parameter" }